Description

Currently, when a project is copied (using 'copy' link in the Administration view), the issues are copied, but the statuses of the issues
are not: all issues end up in the default New status. This is undesirable: issues that are closed, etc in the source project should
retain their status in the copied project. The proposed one-liner patch implements this.

Assigning to the author of the copy functionality.

Related issues:
Related to Redmine - Feature #886: Copy A Project Closed 2008-03-18
Related to Redmine - Feature #16959: Default status of copying closed issue Closed

Associated revisions

Revision 3075 - 2009-11-16 21:06 - Jean-Philippe Lang
Copy issue status on project copy (#3877).

History

#1 - 2009-10-19 02:02 - Eric Davis

- Status changed from New to 7

I might not be able to use this patch because that method (Issue#copy_from) is used by other parts of Redmine also. If | can't change the status
there | could put something similar into Project#copy, which would have a similar result.

#2 - 2009-11-02 19:33 - Anton lvanov
Thanks for looking into this.

| defer to your judgement, but shouldn't Issue#copy_from copy the status regardless of where it is called from? Seems like code that requires a
specific status on issues it copies should ensure the condition is satisfied by simply setting it.

#3 - 2009-11-16 21:03 - Jean-Philippe Lang
- Status changed from 7 to Closed

Actually, there was no side effect. #copy_from was used in IssuesController#new but the issue status was set after this call. Added a test that ensure
that issue status is now copied.
Change committed in r3075.

#4 - 2014-05-23 09:36 - Maik Lindner
Conflict with #1551

#5 - 2014-06-18 08:49 - Toshi MARUYAMA
- Related to Feature #16959: Default status of copying closed issue added

Files

copy_issue_status.diff 411 Bytes 2009-09-15 Anton lvanov

2025-08-23 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/3075
https://www.redmine.org/issues/1551
http://www.tcpdf.org

